package com.hw.dms.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hw.dms.mapper.DmsFaultInstanceFileMapper;
import com.hw.dms.domain.DmsFaultInstanceFile;
import com.hw.dms.service.IDmsFaultInstanceFileService;

/**
 * 故障文件;手工创建，从故障报修开始Service业务层处理
 *
 * @author Open Platform
 * @date 2024-02-29
 */
@Service
public class DmsFaultInstanceFileServiceImpl implements IDmsFaultInstanceFileService
{
    @Autowired
    private DmsFaultInstanceFileMapper dmsFaultInstanceFileMapper;

    /**
     * 查询故障文件;手工创建，从故障报修开始
     *
     * @param repairInstanceFileId 故障文件;手工创建，从故障报修开始主键
     * @return 故障文件;手工创建，从故障报修开始
     */
    @Override
    public DmsFaultInstanceFile selectDmsFaultInstanceFileByRepairInstanceFileId(Long repairInstanceFileId)
    {
        return dmsFaultInstanceFileMapper.selectDmsFaultInstanceFileByRepairInstanceFileId(repairInstanceFileId);
    }

    /**
     * 查询故障文件;手工创建，从故障报修开始列表
     *
     * @param dmsFaultInstanceFile 故障文件;手工创建，从故障报修开始
     * @return 故障文件;手工创建，从故障报修开始
     */
    @Override
    public List<DmsFaultInstanceFile> selectDmsFaultInstanceFileList(DmsFaultInstanceFile dmsFaultInstanceFile)
    {
        return dmsFaultInstanceFileMapper.selectDmsFaultInstanceFileList(dmsFaultInstanceFile);
    }

    /**
     * 新增故障文件;手工创建，从故障报修开始
     *
     * @param dmsFaultInstanceFile 故障文件;手工创建，从故障报修开始
     * @return 结果
     */
    @Override
    public int insertDmsFaultInstanceFile(DmsFaultInstanceFile dmsFaultInstanceFile)
    {
        if (dmsFaultInstanceFile!=null){
        return dmsFaultInstanceFileMapper.insertDmsFaultInstanceFile(dmsFaultInstanceFile);}
        return 0;
    }

    /**
     * 修改故障文件;手工创建，从故障报修开始
     *
     * @param dmsFaultInstanceFile 故障文件;手工创建，从故障报修开始
     * @return 结果
     */
    @Override
    public int updateDmsFaultInstanceFile(DmsFaultInstanceFile dmsFaultInstanceFile)
    {
        return dmsFaultInstanceFileMapper.updateDmsFaultInstanceFile(dmsFaultInstanceFile);
    }

    /**
     * 批量删除故障文件;手工创建，从故障报修开始
     *
     * @param repairInstanceFileIds 需要删除的故障文件;手工创建，从故障报修开始主键
     * @return 结果
     */
    @Override
    public int deleteDmsFaultInstanceFileByRepairInstanceFileIds(Long[] repairInstanceFileIds)
    {
        return dmsFaultInstanceFileMapper.deleteDmsFaultInstanceFileByRepairInstanceFileIds(repairInstanceFileIds);
    }

    /**
     * 删除故障文件;手工创建，从故障报修开始信息
     *
     * @param repairInstanceFileId 故障文件;手工创建，从故障报修开始主键
     * @return 结果
     */
    @Override
    public int deleteDmsFaultInstanceFileByRepairInstanceFileId(Long repairInstanceFileId)
    {
        return dmsFaultInstanceFileMapper.deleteDmsFaultInstanceFileByRepairInstanceFileId(repairInstanceFileId);
    }
}
